Subject: Re: 26.1; EWW stops renderring web page on null byte

From: Robert Pluim <[email-masked]>
Date: Thu, 28 Feb 2019 09:46:46 +0100

Paul Eggert <[email-masked]> writes:

> Thanks for fixing that bug. However, replacing NUL with \0 sounds iffy.
> Even if we assume that a web page contains C-like code, the replacement
> would mishandle a NUL followed by an octal digit, since the replacement
> would look like \07 which would be interpreted as a BEL character, not
> as a NULL followed by a digit 7. And web pages do not typically contain
> C code, so the replacement \0 might cause other trouble.
>

In my sample of 1 website, 100% of them contained C code :-)

> Instead, it sounds better to replace NUL with the four-character
> sequence "&#0;", as this is a standard HTML way to represent a NUL
> character. I installed the attached patch to do this.
>

OK by me.

Robert